CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

容差显示属性 (ActiveX)

2023-1-3 03:15| 发布者: admin| 查看: 173| 评论: 0|来自: AutoCAD

摘要: 指定是否将公差与尺寸文本一起显示。

指定是否将公差与尺寸文本一起显示。

支持的平台:仅窗口

签名

工 务 局:

object.ToleranceDisplay
对象

类型:暗三点角度,暗对齐,暗,暗弧长度,暗直径,尺寸,暗坐标,径向,向大,暗旋转

此属性适用的对象。

属性值

只读:

类型:枚举acDimToleranceMethod

  • acTolNone
  • acTolSymmetrical
  • acTolDeviation
  • acTolLimits
  • acTolBasic

言论

此属性的初始值为。acTolNone

注意:此属性覆盖给定维度的 DIMTOL 系统变量的值。

例子

工 务 局:

Sub Example_ToleranceDisplay()
    ' This example creates an aligned dimension in model space and
    ' turns on the tolerance display for the new dimension

    Dim dimObj As AcadDimAligned
    Dim newText As AcadTextStyle
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    Dim CurrentDisplay As String
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 5.5: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    
    ThisDrawing.Application.ZoomAll
    
    ' Read and display the current tolerance display for this dimension
    CurrentDisplay = IIf(dimObj.ToleranceDisplay = acTolNone, "Hidden", "Visible")
    MsgBox "The tolerance display is currently: " & CurrentDisplay
    
    ' Toggle the tolerance display for this dimension
    If dimObj.ToleranceDisplay = acTolNone Then
        dimObj.ToleranceDisplay = acTolSymmetrical
        CurrentDisplay = "Symmetrical"
    Else
        dimObj.ToleranceDisplay = acTolNone
        CurrentDisplay = "None"
    End If
    
    ThisDrawing.Regen acAllViewports
    
    ' Display the current tolerance display for this dimension
    MsgBox "The tolerance display is now set to: " & CurrentDisplay

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ToleranceDisplay()
    ;; This example creates an aligned dimension in model space and
    ;; turns on the tolerance display for the new dimension
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 5.5 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    
    (vla-ZoomAll acadObj)
    
    ;; Read and display the current tolerance display for this dimension
    (setq currentDisplay (if (= (vla-get-ToleranceDisplay dimObj) acTolNone) "Hidden" "Visible"))
    (alert (strcat "The tolerance display is currently: " currentDisplay))
    
    ;; Toggle the tolerance display for this dimension
    (if (= (vla-get-ToleranceDisplay dimObj) acTolNone)
        (progn
            (vla-put-ToleranceDisplay dimObj acTolSymmetrical)
            (setq currentDisplay "Symmetrical")
        )
        (progn
            (vla-put-ToleranceDisplay dimObj acTolNone)
            (setq currentDisplay "None")
        )
    )
    
    (vla-Regen doc acAllViewports)
    
    ;; Display the current tolerance display for this dimension
    (alert (strcat "The tolerance display is now set to: " currentDisplay))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 18:27

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部